Get a training session
curl --request GET \
--url https://api.wodup.dev/api/public/training_sessions/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.wodup.dev/api/public/training_sessions/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.wodup.dev/api/public/training_sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"competition": null,
"id": "s_123abc",
"results": [
{
"comments": [
{
"author": {
"id": "ath_123abc",
"name": "Jane Doe"
},
"can_modify": true,
"created_at": "2000-01-01T00:00:00Z",
"id": "c_123abc",
"replies": [],
"text": "Great job!"
}
],
"description": null,
"details": {
"rest": {
"type": "as_needed"
},
"sets": [
{
"load": 6,
"load_unit": "kg",
"movement_id": "mv_fT0m3viH",
"reps": 5
}
]
},
"done_at": "2001-01-01T12:00:00.000000Z",
"id": "r_123abc",
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": {
"id": "dQw4w9WgXcQ",
"service": "youtube"
}
}
],
"notes": null,
"perceived_exertion": 0,
"prescribed_workout": {
"description": "Back Squat 5 reps",
"details": {
"movements": [
{
"id": "mv_fT0m3viH",
"load": null,
"reps": "5"
}
],
"rest": {
"type": "as_needed"
},
"type": "Strength"
},
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": {
"id": "dQw4w9WgXcQ",
"service": "youtube"
}
}
],
"name": null,
"type": "Strength"
},
"scaled_workout": null,
"scaling": "rx",
"status": "completed",
"type": "StrengthResult",
"wod_component_id": null
}
],
"wod": {
"id": "wod_123abc",
"name": "Morning Workout",
"occurs_on": "2020-01-01",
"order": 0,
"program": {
"access": "private",
"id": "p_123abc",
"name": "Strength and Conditioning",
"period": "continuous",
"status": "active"
},
"publish_at": "2020-01-01T00:00:00Z"
}
}Results
Get a training session
GET
/
api
/
public
/
training_sessions
/
{id}
Get a training session
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Only used by platform integrations
ID of gym to execute on behalf of
Path Parameters
ID of training session to get
⌘I